## pyserial-asyncio 0.5

=== requirements.txt ===
pyserial>=3.1.1

## pyserial-asyncio 0.4

=== debian/changelog ===
pyserial-asyncio (0.4-1) unstable; urgency=low

  * Initial release (Closes: #911917)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 26 Oct 2018 06:43:07 +0000

=== debian/control ===
Source: pyserial-asyncio
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 11~),
	dh-python,
	python3,
	python3-serial,
	python3-setuptools,
	python3-sphinx,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/pyserial-asyncio.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyserial-asyncio
Homepage: https://github.com/pyserial/pyserial-asyncio

Package: python3-serial-asyncio
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Async I/O extension package for pyserial
 Async I/O extension package for the Python Serial Port Extension for
 OSX, Linux, BSD. It depends on pySerial and is compatible with
 Python 3.4 and later.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=pyserial_asyncio
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	( cd documentation; \
	  PYTHONPATH=.. http_proxy='127.0.0.1:9' make html )

=== debian/tests/control ===
Depends: python3-pyserial-asyncio
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import pyserial_asyncio ; print pyserial_asyncio.__version__"

## pyserial-asyncio 0.5

=== debian/changelog ===
pyserial-asyncio (0.5-2) unstable; urgency=medium

  * Disable the (failing) unit tests (Closes: #979050)

 -- Martin <debacle@debian.org>  Thu, 21 Jan 2021 17:12:44 +0000

pyserial-asyncio (0.5-1) unstable; urgency=medium

  * New upstream version.
  * Fix test and mark as superficial (Closes: #974521).

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Martin <debacle@debian.org>  Fri, 01 Jan 2021 21:29:18 +0000

=== debian/control ===
Source: pyserial-asyncio
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3,
	python3-serial,
	python3-setuptools,
	python3-sphinx,
	python3-sphinx-rtd-theme,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pyserial-asyncio.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyserial-asyncio
Homepage: https://github.com/pyserial/pyserial-asyncio

Package: python3-serial-asyncio
Architecture: all
Depends: ${python3:Depends},
	${misc:Depends},
	${sphinxdoc:Depends},
Provides: ${python3:Provides}
Description: Async I/O extension package for pyserial
 Async I/O extension package for the Python Serial Port Extension for
 OSX, Linux, BSD. It depends on pySerial and is compatible with
 Python 3.4 and later.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 export PYBUILD_NAME=pyserial_asyncio
 export http_proxy = http://127.0.0.1:9
 export https_proxy = https://127.0.0.1:9
+
+export DEB_BUILD_OPTIONS=nocheck
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

=== debian/tests/control ===
Depends: python3-serial-asyncio
Restrictions: superficial
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import serial_asyncio ; print(serial_asyncio.__version__)"

## pyserial-asyncio 0.6

=== debian/changelog ===
pyserial-asyncio (0.6-4) unstable; urgency=medium

  * Add patch: Use free port for test (Closes: #1023019)

 -- Martin <debacle@debian.org>  Wed, 02 Nov 2022 00:11:05 +0000

pyserial-asyncio (0.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Add debian/watch file, using github.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Oct 2022 13:43:34 +0100

pyserial-asyncio (0.6-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Mon, 17 Oct 2022 16:16:34 +0000

pyserial-asyncio (0.6-1) unstable; urgency=medium

  * New upstream version (Closes: #1002545)
  * Move documentation in separate package (Closes: #1004437, #1017838)
  * Enable unittest again, run it also autopkgtest

 -- Martin <debacle@debian.org>  Sun, 16 Oct 2022 22:57:25 +0000

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,22 @@
 Architecture: all
 Depends: ${python3:Depends},
 	${misc:Depends},
-	${sphinxdoc:Depends},
 Provides: ${python3:Provides}
 Description: Async I/O extension package for pyserial
  Async I/O extension package for the Python Serial Port Extension for
  OSX, Linux, BSD. It depends on pySerial and is compatible with
- Python 3.4 and later.
+ Python 3.5 and later.
+
+Package: python-serial-asyncio-doc
+Section: doc
+Architecture: all
+Depends: libjs-jquery,
+	${misc:Depends},
+	${sphinxdoc:Depends},
+Multi-Arch: foreign
+Description: Async I/O extension package for pyserial (documentation)
+ Async I/O extension package for the Python Serial Port Extension for
+ OSX, Linux, BSD. It depends on pySerial and is compatible with
+ Python 3.5 and later.
+ .
+ This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=serial_asyncio
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

execute_after_dh_auto_build:
	( cd documentation; \
	  PYTHONPATH=.. http_proxy='127.0.0.1:9' make html )

=== debian/tests/control ===
Depends: @
Restrictions: allow-stderr
Test-Command: python3 -munittest discover -v

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/pyserial-asyncio-$1\.tar\.gz/ https://github.com/pyserial/pyserial-asyncio/tags .*\/v(\d\S+)\.tar\.gz
